# $Revision: 1.23 $, $Date: 2010/06/06 08:30:46 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (opens /dev/mixer)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	Mixer
Summary:	Audio::Mixer - Perl extension for sound mixer control
Summary(pl.UTF-8):	Audio::Mixer - rozszerzenie Perla do sterowania mikserem dźwięku
Name:		perl-Audio-Mixer
Version:	0.7
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5aaa808a4852ed68f952705172ece2a8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is just a very simple Perl interface which allows to set various
sound mixer parameters. The most important probably 'vol' (volume).
The list of all mixer parameters can be obtained using
get_mixer_params() function.

%description -l pl.UTF-8
To jest bardzo prosty perlowy interfejs, pozwalający na ustawianie
różnych parametrów miksera dźwięku. Prawdopodobnie najważniejszym jest
'vol' (głośność). Listę wszystkich parametrów miksera można odczytać
funkcją get_mixer_params().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{perl_vendorarch}/Audio/volume.pl
%{perl_vendorarch}/Audio/Mixer.pm
%dir %{perl_vendorarch}/auto/Audio/Mixer
%{perl_vendorarch}/auto/Audio/Mixer/autosplit.ix
%{perl_vendorarch}/auto/Audio/Mixer/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/Mixer/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-Mixer.spec,v $
Revision 1.23  2010/06/06 08:30:46  arekm
- release 5

Revision 1.22  2008/02/23 19:47:09  glen
- release 4

Revision 1.21  2008-02-10 11:59:48  arekm
- rel 3

Revision 1.20  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.19  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 21:01:01  paladine
- formatting

Revision 1.16  2004/06/05 18:10:30  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/05/06 18:09:15  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/05 11:02:10  ankry
- cosmetics

Revision 1.13  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.12  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.11  2004/03/09 20:32:02  adamg
- new style bconds

Revision 1.10  2003/08/18 08:08:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/11 14:16:43  qboosh
- up to 0.7, summaries (from RA-branch), release 2

Revision 1.8  2003/05/28 13:00:22  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 17:42:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:36:45  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:26:26  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/05 16:17:09  ankry
- autoupdated to 0.6

Revision 1.1  2002/08/15 17:54:58  qboosh
- new
